"""
CS106AP Summer 2019
Written by Nick Parlante, adapted by Sonja Johnson-Yu
7.15.19
"""

def find_after_alpha(s):
    """
    Returns the substring made of 0 or more alphabetic characters
    following the first '@' in the string.
    Input:
        s (string): string to be searched
    Returns:
        substr (string): alphabetic characters following '@'
    >>> find_after_alpha('simba@pride.rock')
    'pride'
    >>> find_after_alpha('pumbaa@.')
    ''
    >>> find_after_alpha('tomatoes@t0mato')
    't'
    """
    at_index = s.find('@')
    if at_index == -1:
        return ''
    # Idea here: advance 'curr' beyond @ to find first non-alpha
    # char, or the end of the string.
    curr = at_index + 1
    while curr < len(s) and s[curr].isalpha():
        curr += 1

    return s[at_index + 1:curr]


def main():
    print(find_after_alpha('i.am@cs106ap.edu'))


if __name__ == '__main__':
    main()