#!/usr/bin/env python3
"""
CS106AP Summer 2019
Lecture 11 example, written by Sonja Johnson-Yu,
Adapted from Nick Parlante's delcat
7.11.19
"""
import sys


def delete_chars(s, chars):
    """
    Removes given characters from a string and returns the string.
    Function should work for words containing both upper and
    lowercase letters. The character string will always be lowercase.

    Input:
        s (string): string from which to remove characters
        chars (string): characters to be removed

    Returns:
        removed_string (string): string with characters removed

    >>> delete_chars('I love heating quesadillas', 'h')
    'I love eating quesadillas'
    >>> delete_chars('wAr and pEace', 'ae')
    'wr nd pc'
    >>> delete_chars('I **hate** punctuation!!!!', '!@#$%^&*.')
    'I hate punctuation'
    """
    new_string = ''
    for char in s:
        if char.lower() not in chars:
            new_string += char

    return new_string


def print_processed_text(filename, chars):  # can alternatively pass in words
    """
    Reads file and prints text with given characters removed.

    Input:
        filename (string): file to be read
        chars (string): characters to be removed
    """
    first_line = True
    with open(filename, 'r') as f:
        for line in f:
            if first_line:
                print(line)
                first_line = False
            else:
                cleaned_line = delete_chars(line, chars)
                print(cleaned_line)


def main():
    # longer_args = sys.argv
    # print(longer_args)
    # # print(sys.argv[1])
    # return
    args = sys.argv[1:]
    # try this to see what "args" is for various command lines
    print('args:', args)
    # return

    # before we implement args:
    # print_processed_text('poem.txt', 'aei')

    # This program has 2 command line forms:
    # filename
    # e.g. python3 DeleteCharactersStarter.py poem.txt
    # -chars target filename
    # e.g. python3 DeleteCharactersStarter.py -chars aei poem.txt

    # if len(args) == 1:
    #     # args[0] is filename
    #     print_processed_text(args[0], 'aei')
    #
    # if len(args) == 3 and args[0] == '-chars':
        # args[1] is chars, args[2] is filename
    print_processed_text(args[2], args[1])

    # if len(args) == 2:
    #     print_processed_text(args[1], args[0])

# Python boilerplate.
if __name__ == '__main__':
    main()
